package digital.laboratory.platform.inspection.service;

import digital.laboratory.platform.common.core.util.R;

import javax.servlet.http.HttpServletResponse;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 生成检验记录相关接口
 * @date 2025/3/18 14:50
 */
public interface InspectRecordService {

    /**
     * 生成检验记录-贵阳禁毒
     * @param businessId 委托id
     * @return
     * @throws Exception
     */
    R buildInspectionRecord(String businessId, String materialType) throws Exception;

    void previewInspectionRecord(String businessId, String materialType, HttpServletResponse servletResponse) throws Exception;
}
